> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reporta.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Deletes a file based on the ID supplied



## OpenAPI

````yaml api-reference/file-upload/file-upload-openapi.json delete /upload/{id}
openapi: 3.0.1
info:
  title: File Upload API
  description: API for handling file uploads
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-staging.reporta.ng/api/v1/
security: []
paths:
  /upload/{id}:
    delete:
      description: Deletes a file based on the ID supplied
      parameters:
        - name: id
          in: path
          description: ID of plant to delete
          required: true
          schema:
            type: string
      responses:
        '200':
          description: File deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: File deleted successfully
        '404':
          description: File not found
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: File not found

````